vn.py官网
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 7
声望: 1

已解决,删除.vnstation这些缓存,就好了

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\peewee.py", line 3057, in execute_sql
cursor.execute(sql, params or ())
sqlite3.DatabaseError: file is not a database

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\vnstation\cli.py", line 90, in run_trader
module = importlib.import_module(d["module"])
File "C:\vnstudio\lib\importlib__init.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "C:\vnstudio\lib\site-packages\vnpy\app\cta_backtester\
init.py", line 5, in <module>
from .engine import BacktesterEngine, APP_NAME
File "C:\vnstudio\lib\site-packages\vnpy\app\cta_backtester\engine.py", line 15, in <module>
from vnpy.trader.database import database_manager
File "C:\vnstudio\lib\site-packages\vnpy\trader\database\
init.py", line 12, in <module>
database_manager: "BaseDatabaseManager" = init(settings=settings)
File "C:\vnstudio\lib\site-packages\vnpy\trader\database\initialize.py", line 10, in init
return init_sql(driver=driver, settings=settings)
File "C:\vnstudio\lib\site-packages\vnpy\trader\database\initialize.py", line 17, in init_sql
_database_manager = init(driver, settings)
File "C:\vnstudio\lib\site-packages\vnpy\trader\database\database_sql.py", line 33, in init
bar, tick = init_models(db, driver)
File "C:\vnstudio\lib\site-packages\vnpy\trader\database\database_sql.py", line 323, in init_models
db.create_tables([DbBarData, DbTickData])
File "C:\vnstudio\lib\site-packages\peewee.py", line 3244, in create_tables
model.create_table(options)
File "C:\vnstudio\lib\site-packages\peewee.py", line 6529, in create_table
cls._schema.create_all(safe,
options)
File "C:\vnstudio\lib\site-packages\peewee.py", line 5679, in create_all
self.create_table(safe, table_options)
File "C:\vnstudio\lib\site-packages\peewee.py", line 5534, in create_table
self.database.execute(self._create_table(safe=safe,
options))
File "C:\vnstudio\lib\site-packages\peewee.py", line 3070, in execute
return self.execute_sql(sql, params, commit=commit)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3064, in execute_sql
self.commit()
File "C:\vnstudio\lib\site-packages\peewee.py", line 2831, in
exit__
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File "C:\vnstudio\lib\site-packages\peewee.py", line 183, in reraise
raise value.with_traceback(tb)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3057, in execute_sql
cursor.execute(sql, params or ())
peewee.DatabaseError: file is not a database

麻烦帮忙看看到底啥问题,我啥也没做啊

Member
avatar
加入于:
帖子: 7
声望: 1

已解决,删除缓存就好了。

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】